<?php
    global $twig;

    echo $twig->render('head.html.twig', array(
        'title' => "Accueil",
        'style' =>  "public/styles/styleAccueil.css",
    ));

    echo $twig->render('bandeau.html.twig');

?>
<?php

$file = 'citation.txt';
$citations = file($file, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

$citationDuJour = null;
$suggestions = [];


foreach ($citations as $citation) {
    $parts = explode(';', $citation);

    if (strpos(trim($parts[0]), 'µ') === 0) {
        $citationDuJour = $parts; 
    } else {
        $suggestions[] = $parts;
    }
}

shuffle($suggestions);

$suggestions = array_filter($suggestions, function($suggestion) use ($citationDuJour) {
    return count($suggestion) == 5 && !($suggestion[0] === trim($citationDuJour[1]));
});

$suggestions = array_slice($suggestions, 0, 10);

echo "<div class='citations-section'>";

if ($citationDuJour) {
    $quote = htmlspecialchars(trim(substr($citationDuJour[1], 1))); // Retirer le symbole µ
    $movie = htmlspecialchars(trim($citationDuJour[2]));
    $character = htmlspecialchars(trim($citationDuJour[3]));
    $year = htmlspecialchars(trim($citationDuJour[4]));
    $imagePath = htmlspecialchars(trim($citationDuJour[5]));

    echo "<h2>Citation du jour</h2>";
    echo "<div class='citation-container citation-du-jour'>";
    echo "<img src='$imagePath' alt='$movie' class='citation-image'>";
    echo "<div class='text-content'>";
    echo "<p class='quoteContent'>\"$quote\"</p>";
    echo "<p class='movie'>- $movie</p>";
    echo "<p class='character'>Personnage : $character</p>";
    echo "<p class='year'>Année : $year</p>";
    echo "</div>";
    echo "</div>";
} else {
    echo "<p class='error'>Aucune citation du jour n'a été trouvée.</p>";
}

if (!empty($suggestions)) {
    echo "<h2>Suggestions</h2>";
    echo "<div class='quotes-container'>"; 
    foreach($suggestions as $suggestion){

        echo $twig->render('quoteLittle.html.twig', array(
            'srcImg' =>  htmlspecialchars(trim($suggestion[4])),
            'quoteContent' => htmlspecialchars(trim($suggestion[0])) ,
            'sourceName' => htmlspecialchars(trim($suggestion[1])) ,
            'nameCarac' => htmlspecialchars(trim($suggestion[2])) ,
            'dateSortie' => htmlspecialchars(trim($suggestion[3])) ,
        ));
    }
    echo "</div>";
}

echo "</div>"; 
?>
</body>
</html>